Status: Closed   
Category:    
Support Level: 2nd Level Topic: StreamingLib::Reader

Resolution: No Customer Feedback FAQ Links:  

Description

Support issue:

We are using ADTF lib for unzipping and decode the ADTF data.

We are using GetTimeDuration() function to get the time duration of the recorded file.

We need to understand if the can stream is not available in the recorded data how the GetTimeDuration() function calculate the

duration of the file.

Kind Regards / Mit freundlichen Grüßen / 宜しくお願いします

Jagpreet Singh,

Engineering Trucks & Buses, RD I/TBP

Advanced Driver Assistance System

Solution:

In the ADTF DAT File Header the Duration is been saved (see tFileHeader Struct Reference, ui64Duration).

The returned value is the Media Sample (Chunk) Timestamp of the Last Sample of each streams which the DAT File contains.

GetTimeDuration() returns the duration of the whole DAT File not for a single stream.

If you have a DAT file without any streams (?), then depends on if the file is created/recorded with ADTF and which offset or you

created it with Streaming Lib and something went wrong.

Zero is usually not possible because each DAT File contains streams.

History

#1 - 2017-08-03 15:46 - hidden

- Project changed from Public Support to 9

- Topic set to StreamingLib::Reader

- Customer set to DAIMLER

- Affected Products ADTF Streaming Library 2.9.0 added

- Platform Windows 7 64bit added

#2 - 2017-08-03 16:15 - hidden

- Status changed from New to Customer Feedback Required

Hello Jagpreet,

GetTimeDuration() returns the duration of the whole DAT File not for a single stream.

If you want to know e.g. is the stream "can" available at the current DAT File have a look at the fileaccess example delivered with the streaminglib.

With pFileReader->GetStreamDescriptor and the tADTFStreamDescriptor::SD_CAN you can check if the stream contains CAN data.

Does this answer your question?
#3 - 2017-08-03 19:36 - hidden

Stephan Aures wrote:

Hello Jagpreet,

GetTimeDuration() returns the duration of the whole DAT File not for a single stream.

If you want to know e.g. is the stream "can" available at the current DAT File have a look at the fileaccess example delivered with the

streaminglib.

With pFileReader->GetStreamDescriptor and the tADTFStreamDescriptor::SD_CAN you can check if the stream contains CAN data.

Does this answer your question?

 Hi Stephan,

We are curious to know how the GetTimeDuration() function calculates the duration of the entire DAT file, on what basis or factors is the time

calculation of the DAT file done ?

Also would like to know, In one of our experiments, where there was no CAN stream present in the DAT file, but still it was giving us some implausible

number as duration, in that case shouldn't it give us zero as duration since the stream doesn't exist ?

#4 - 2017-08-07 14:12 - hidden

Dear Jagpreet,

in the ADTF DAT File Header the Duration is been saved (see tFileHeader Struct Reference, ui64Duration).

The returned value is the Media Sample (Chunk) Timestamp of the Last Sample of each streams which the DAT File contains.

What do you mean by you don't have a CAN Stream ? Not every DAT File has a CAN Stream.

Are there different streams in your DAT File ?

Then it is the last timestamp as already mentioned.

If you have a DAT file without any streams (?), then depends on if the file is created/recorded with ADTF and which offset or you created it with

Streaming Lib and something went wrong.

Zero is usually not possible because each DAT File contains streams.

#5 - 2017-08-09 09:01 - hidden

Please give us a short feedback until the end of the week if this solve your problem to close the support issue.

#7 - 2017-08-14 13:34 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to No Customer Feedback

@Florian, ticket can be closed, no customer feedback.

#8 - 2017-08-17 16:14 - hidden

- Subject changed from ADTF file duration calculation to ADTF DAT File duration calculation

#9 - 2017-09-04 10:47 - hidden

- Status changed from To Be Closed to Closed

#10 - 2018-01-25 11:56 - hidden

- Project changed from 9 to Public Support

- Private changed from Yes to No
